#include "thermo_lib.h"
#include "Arduino.h"
void thermo_lib::begin(int alarm_pin, int relay_pin) {
  pin_alarm = alarm_pin;
  pin_relay = relay_pin;
  pinMode(pin_alarm, OUTPUT);
  pinMode(pin_relay, OUTPUT);
}
void thermo_lib::set_temp(float min_temp, float max_temp, float act_temp) {
  int i = 0;
  if (act_temp > max_temp || act_temp < min_temp) {
    digitalWrite(pin_relay, HIGH);
    for (i = 0; i < 3; i++) {
      digitalWrite(pin_alarm, HIGH);
      delay(1500);
      digitalWrite(pin_alarm, LOW);
      delay(1500);
    }
    for (i = 0; i < 15; i++)
      delay(1000);
  }
  else
    digitalWrite(pin_relay, LOW);

}